<?php
function remove_menus() {
//    remove_menu_page('index.php'); // ダッシュボード
//    remove_menu_page('separator1'); // セパレータ1
//    remove_menu_page('edit.php'); // 投稿
//    remove_menu_page('upload.php'); // メディア
    remove_menu_page('link-manager.php'); // リンク
//    remove_menu_page('edit.php?post_type=page'); // 固定ページ
    remove_menu_page('edit-comments.php'); // コメント
    remove_menu_page('separator2'); // セパレータ1
//    remove_menu_page('themes.php'); // 外観
	remove_submenu_page('themes.php', 'customize.php');//カスタマイズ
	remove_submenu_page('themes.php', 'theme-editor.php');//テーマの編集
//    remove_menu_page('plugins.php'); // プラグイン
//    remove_menu_page('users.php'); // ユーザー
//    remove_menu_page('tools.php'); // ツール
//    remove_menu_page('options-general.php'); // 設定
//    remove_menu_page('profile.php'); // プロフィール(管理者以外のユーザー用)
}
add_action('admin_menu', 'remove_menus');


// アイキャッチ画像
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(220, 220, true ); // 幅 220px、高さ 165px、切り抜きモード

// 管理画面に任意のcssやjsファイルを読み込む
function wp_custom_admin_css() {
echo "\n" . '<script src="' .get_bloginfo('stylesheet_directory'). '/jscolor/jscolor.js' . '" type="text/javascript"></script>' . "\n";
}
add_action('admin_head', 'wp_custom_admin_css', 100);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//管理メニュー追加モジュール
require("lib/admin_menu.php");

//カテゴリメニュー追加モジュール
require("lib/category_menu.php");


//投稿メニュー追加モジュール
require("lib/post_menu.php");
//////////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 固定ページの作成および表示設定の変更
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function create_pages_and_setting() {


if (get_page_by_path('notice') === null) {
	wp_insert_post(
				array(
					'post_title'   => '特定商取引法に基づく記述',
					'post_name'    => 'notice',
					'post_status'  => 'publish',
					'post_type'    => 'page',
					'post_content' => "",
				)
			);
		}
}
add_action('after_setup_theme', 'create_pages_and_setting');
add_action('admin_menu', 'remove_menus');
add_theme_support( 'nav-menus' );
if ( function_exists('register_sidebar') )
    register_sidebar();


//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 投稿画面の項目を非表示にする
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//本文
function my_remove_post_editor_support() {
 remove_post_type_support( 'post', 'editor' );
}
add_action( 'init' , 'my_remove_post_editor_support' );
//その他
function remove_default_post_screen_metaboxes() {
 remove_meta_box( 'postcustom','post','normal' ); // カスタムフィールド
 remove_meta_box( 'tagsdiv-post_tag','post','normal' ); // タグ
 remove_meta_box( 'postexcerpt','post','normal' ); // 抜粋
 remove_meta_box( 'commentstatusdiv','post','normal' ); // ディスカッション
 remove_meta_box( 'commentsdiv','post','normal' ); // コメント
 remove_meta_box( 'trackbacksdiv','post','normal' ); // トラックバック
 remove_meta_box( 'authordiv','post','normal' ); // 作成者
 remove_meta_box( 'slugdiv','post','normal' ); // スラッグ
 remove_meta_box( 'revisionsdiv','post','normal' ); // リビジョン
 
 }
add_action('admin_menu','remove_default_post_screen_metaboxes');



?>