<?php
add_action ( 'edit_category_form_fields', 'extra_category_fields');
function extra_category_fields( $tag ) {
    $t_id = $tag->term_id;
    $cat_meta = get_option("cat_$t_id");
?>
<tr class="form-field">
<th>プリセット</th>
<td style="background:#fff;">
<a href="#" id="pre-red">■赤系</a>&nbsp;
<a href="#" id="pre-pink">■ピンク系</a>&nbsp;
<a href="#" id="pre-blue">■青系</a>&nbsp;
<a href="#" id="pre-black">■黒系</a>&nbsp;
<a href="#" id="pre-orange">■オレンジ系</a>&nbsp;
<a href="#" id="pre-green">■緑系</a>&nbsp;
<a href="#" id="pre-vio">■紫系</a>&nbsp;
<a href="#" id="pre-brown">■茶色</a>&nbsp;
<a href="#" id="pre-gold">■ゴールド系</a>&nbsp;


<style type="text/css">
#pre-red{color:#f00;}
#pre-pink{color:#ff256b;}
#pre-blue{color:#00f;}
#pre-black{color:#333;}
#pre-orange{color:#fc9a1b;}
#pre-green{color:#3f8a0e;}
#pre-vio{color:#9405f8;}
#pre-brown{color:#826714;}
#pre-gold{color:#c7c529;}
</style>
<script type="text/javascript">
jQuery(document).ready(function(){
	var $red = jQuery("#pre-red");
	var $pink = jQuery("#pre-pink");
	var $blue = jQuery("#pre-blue");
	var $black = jQuery("#pre-black");
	var $orange = jQuery("#pre-orange");
	var $green = jQuery("#pre-green");
	var $vio = jQuery("#pre-vio");
	var $brown = jQuery("#pre-brown");
	var $gold = jQuery("#pre-gold");
	var $catBodyGra = jQuery("#catBodyGra");
	
	$red.click(function(){
		document.getElementById('catBodyBg').color.fromString('FF0000');
		document.getElementById('catHeadBg').color.fromString('DD0000');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",true);
	})
	$pink.click(function(){
		document.getElementById('catBodyBg').color.fromString('ffe6ee');
		document.getElementById('catHeadBg').color.fromString('ff256b');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",true);
	})
	$blue.click(function(){
		document.getElementById('catBodyBg').color.fromString('0000FF');
		document.getElementById('catHeadBg').color.fromString('0000DD');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",true);
	})
	$black.click(function(){
		document.getElementById('catBodyBg').color.fromString('dddddd');
		document.getElementById('catHeadBg').color.fromString('222222');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",false);
	})
	$orange.click(function(){
		document.getElementById('catBodyBg').color.fromString('f8d4bc');
		document.getElementById('catHeadBg').color.fromString('ff6804');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",false);
	})
	$green.click(function(){
		document.getElementById('catBodyBg').color.fromString('bad9a6');
		document.getElementById('catHeadBg').color.fromString('3f8a0e');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",false);
	})
	$vio.click(function(){
		document.getElementById('catBodyBg').color.fromString('ddc7ed');
		document.getElementById('catHeadBg').color.fromString('9247c7');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",false);
	})
	$brown.click(function(){
		document.getElementById('catBodyBg').color.fromString('6b5b24');
		document.getElementById('catHeadBg').color.fromString('40380d');
		document.getElementById('catHeadColor').color.fromString('FFFFFF');
		$catBodyGra.attr("checked",false);
	})
	$gold.click(function(){
		document.getElementById('catBodyBg').color.fromString('e5e7b2');
		document.getElementById('catHeadBg').color.fromString('e4d373');
		document.getElementById('catHeadColor').color.fromString('706216');
		$catBodyGra.attr("checked",true);
	})


});
</script>

</td>
</tr>

<tr class="form-field">
<th>背景色</th><td><input class="color" id="catBodyBg" name="Cat_meta[catBodyBg]" value="<?php if(isset ( $cat_meta['catBodyBg'])) echo esc_html($cat_meta['catBodyBg']) ?>"><br>
    <label for="catBodyGra">グラデーション</label>
    <input type="checkbox" id="catBodyGra" style="width:1em;" name="Cat_meta[catBodyGra]"<?php if($cat_meta['catBodyGra']=="on"){echo ' checked'; } ?>></td></tr>
<tr class="form-field"><th>見出背景色</th><td>
    <input class="color" id="catHeadBg" name="Cat_meta[catHeadBg]" value="<?php if(isset ( $cat_meta['catHeadBg'])) echo esc_html($cat_meta['catHeadBg']) ?>"></td></tr>
<tr class="form-field"><th>見出色</th><td>
    <input class="color" id="catHeadBg" name="Cat_meta[catHeadColor]" value="<?php if(isset ( $cat_meta['catHeadColor'])) echo esc_html($cat_meta['catHeadColor']) ?>"></td></tr>

<tr class="form-field"><th>test</th><td>
<pre>
	<?php print_r($cat_meta);?>
</pre>    
    </td></tr>
    
<?php
}




add_action ( 'edited_term', 'save_extra_category_fileds');
function save_extra_category_fileds( $term_id ) {
    if ( isset( $_POST['Cat_meta'] ) ) {
	   $t_id = $term_id;
//	   $cat_meta = get_option("cat_$t_id");
	   $cat_keys = array_keys($_POST['Cat_meta']);
		  foreach ($cat_keys as $key){
		  if (isset($_POST['Cat_meta'][$key])){
			 $cat_meta[$key] = $_POST['Cat_meta'][$key];
		  }
	   }
	   update_option( "cat_$t_id", $cat_meta );
    }
}

?>