<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>">
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css.php?pid=<?php echo $post->ID; ?>">
<?php wp_head(); ?>
<style type="text/css">
#nav ul li{text-align:center;}
body{
	background:#fff url(<?php bloginfo('template_url'); ?>/img/bg.png) repeat-x 0 0;
	}
	.menu-tokutei-container{text-align:center !important}
.align-center{width:100%;height:auto;float:left;text-align:center;margin-bottom:30px;}
a img.over{background:none!important}
a:hover img.over{
	opacity:0.7;
	filter:alpha(opacity=70);
	-ms-filter: "alpha( opacity=70 )";
	background:none!important;
}
#main p{font-size:14px;line-height:1.9em;margin-bottom:30px;}
.setumei{font-size:14px;line-height:1.7em;margin-bottom:30px;padding-top:20px}

.post h3{
	padding-bottom: .5em;
	border-bottom: 1px solid #FF256B;
	font-weight:bold;
    font-size:18px;
	clear:both;
    margin-bottom:15px;
	}
.post h4{
	padding: .75em 0;
	border-top: 1px solid #FF256B;
	border-bottom: 1px solid #FF256B;
	font-weight:bold;
    font-size:18px;
	clear:both;
    margin-bottom:15px;
	}
.post h1{
    border-left:7px solid #FF256B;
    border-bottom:1px dashed #FF256B;
    padding:.6em .8em;
    font-weight:bold;
    font-size:18px;clear:both;
    margin-bottom:15px;
    }
.post h5{
	padding: .25em 0 .25em .75em;
	border-left: 6px solid #FF256B;
	font-weight:bold;
    font-size:18px;clear:both;
    margin-bottom:15px;
	}
.post h2 {
	position: relative;
	padding: .75em 1em .75em 1.5em;
	border: 1px solid #ccc;
	font-weight:bold;
    font-size:18px;clear:both;
    margin-bottom:15px;
}
.post h2::after {
  position: absolute;
  top: .5em;
  left: .5em;
  content: '';
  width: 6px;
  height: -webkit-calc(100% - 1em);
  height: calc(100% - 1em);
  background-color: #FF256B;
  border-radius: 4px;
}
.post h6{
	padding: .5em .75em;
	background-color: #f6f6f6;
	font-weight:bold;
    font-size:18px;clear:both;
    margin-bottom:15px;
	}

	ul#nav li{text-align:center;margin-bottom:10px;font-size:90%}
#index #main #mainCol .post{
		height:240px;}
@media screen and (max-width:640px){

#contents{
	width:100%;
	margin:0 auto;
}

#main{
	width:auto;
	margin:0 0px;
	padding:0 10px 50px 10px;
	font-size:14px;

}

#index #main{
	width:100%;
	margin:0 20px;
	padding:20px 0;
}

#eyeCatch img{width:100%;height:auto;}
	}
</style>
</head>
<body>

<div id="over">
<div id="contents">
<div id="main">
							<?php if (have_posts()) : ?>
                            <?php while (have_posts()) : the_post(); ?>
<?php
$aflink = get_post_meta($post->ID,'aflink',true);

?>

<?php
$aflink = empty($aflink) ? home_url(): $aflink;
$si_script_changer_01 = '';
$si_script_changer_02 = '';
$si_script_changer_03 = '';
$si_script_changer_04 = '';
$si_script_changer_05 = '';
$si_script_changer_06 = '';
$si_script_changer_07 = '';
$si_script_changer_08 = '';
/*
$si_script_changer_01 = get_post_meta( $post->ID, '_si_script_changer_01', true );
$si_script_changer_01 = esc_attr( $si_script_changer_01 );
$si_script_changer_02 = get_post_meta( $post->ID, '_si_script_changer_02', true );
$si_script_changer_02 = esc_attr( $si_script_changer_02 );
$si_script_changer_03 = get_post_meta( $post->ID, '_si_script_changer_03', true );
$si_script_changer_03 = esc_attr( $si_script_changer_03 );
$si_script_changer_04 = get_post_meta( $post->ID, '_si_script_changer_04', true );
$si_script_changer_04 = esc_attr( $si_script_changer_04 );
$si_script_changer_05 = get_post_meta( $post->ID, '_si_script_changer_05', true );
$si_script_changer_05 = esc_attr( $si_script_changer_05 );
$si_script_changer_06 = get_post_meta( $post->ID, '_si_script_changer_06', true );
$si_script_changer_06 = esc_attr( $si_script_changer_06 );
$si_script_changer_07 = get_post_meta( $post->ID, '_si_script_changer_07', true );
$si_script_changer_07 = esc_attr( $si_script_changer_07 );
$si_script_changer_08 = get_post_meta( $post->ID, '_si_script_changer_08', true );
$si_script_changer_08 = esc_attr( $si_script_changer_08 );
*/
$si_script_changer_09 = 1;
?>
<?php /* 1「戻るボタン無効」 */
if ($si_script_changer_01 != 0 and isset($si_script_changer_01)  ):?>
<!-- 1「戻るボタン無効」 -->
<script type="text/javascript">
history.pushState(null, null, null);

window.addEventListener("popstate", function() {
history.pushState(null, null, null);
});
</script>
<?php endif;?>
<?php /* 2「スマホリダイレクト」 */
if ($si_script_changer_02 != 0 and isset($si_script_changer_02)  ):?>
<!-- 2「スマホリダイレクト -->
<script>
var ua = navigator.userAgent;
var redirectPass = '<?php echo $aflink; ?>';
if(ua.search(/iPhone/) != -1 || ua.search(/iPad/) != -1 || ua.search(/iPod/) != -1 || ua.search(/Android/) != -1){
location.href = redirectPass;
}
</script>
<?php endif;?>
<?php /* 3「MACリダイレクト」 */
if ($si_script_changer_03 != 0 and isset($si_script_changer_03)  ):?>
<!-- 3「MACリダイレクト -->
<script>
var ua = navigator.userAgent;
var redirectPass = '<?php echo $aflink; ?>';
if(ua.search(/Mac/) != -1){
location.href = redirectPass;
}
</script>
<?php endif;?>
<?php /* 4「ポップアップ表示」 */
if ($si_script_changer_04 != 0 and isset($si_script_changer_04)  ):?>
<!-- 4「ポップアップ表示」 -->
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script>
jQuery(function(){
// changeFlg = true;
// jQuery(window).on('beforeunload', function() {
// if (changeFlg) {
// return "ページを閉じようとしていますがよろしいですか？";
// }
// });

// jQuery("img").click(function() {
// changeFlg = false;
// });

function headStart(selector){
// #itemまでスクロール
jQuery('html,body').animate({scrollTop: jQuery(selector).offset().top},'slow');
//スクロールの着地点を生成
}jQuery(".post").prepend('<div class="target"></div>');
//セレクタ指定
headStart(".target");

});

window.addEventListener("beforeunload", function(eve){
eve.returnValue = "移動していい？"
}, false)
</script>
<?php endif;?>
<?php /* 4「Windows10未満リダイレクト」 */
if (( $si_script_changer_05 != 0 and isset($si_script_changer_05) ) or ($si_script_changer_06 != 0 and isset($si_script_changer_06))  ):?>
<!-- 4「Windows10未満リダイレクト -->
<script>
var ua = navigator.userAgent;
var redirectPass = '<?php echo $aflink; ?>';
var getV = getWindowsVersion();
//alert(getV);
<?php if( $si_script_changer_05 != 0 and isset($si_script_changer_05) ) :?>
if(getV != "10" && getV != "other"){
	location.href = redirectPass;
}
<?php endif;?>
<?php if( $si_script_changer_06 != 0 and isset($si_script_changer_06) ) :?>
if(( getV != "7" ) && getV != "other"){
	location.href = redirectPass;
}
<?php endif;?>
function getWindowsVersion() {
	  //Windows 10
	  if (navigator.userAgent.indexOf("NT 10.0")!= -1) {
	    return "10";
	  }
	  //Windows8.1
	  else if (navigator.userAgent.indexOf("NT 6.3")!= -1) {
	    return "8";
	  }
	//Windows8
	  else if (-1 != navigator.userAgent.indexOf("NT 6.2")) {
	    return "8";
	  }
	  //Windows7
	  else if (-1 != navigator.userAgent.indexOf("NT 6.1")) {
	    return "7";
	  }
	  //WindowVista
	  else if (-1 != navigator.userAgent.indexOf("NT 6.0")) {
	    return "V";
	  }
	  //Windows XP(64ビット)
	  else if (-1 != navigator.userAgent.indexOf("NT 5.2")) {
		    return "X";
	  }
	  //Windows XP
	  else if (-1 != navigator.userAgent.indexOf("NT 5.1")) {
		    return "X";
	  }
	  //その他
	  else {
	    return "other";
	  }
}
</script>
<?php endif;?>

<div class="post">
<?php
/*
 * $si_script_changer_09 == 0 (無効)
 * $si_script_changer_09 == 1 (有効)
 * パターンA(無効) アイキャッチ画像表示＋ボタン表示＋説明文表示(投稿画面の入力欄も表示)＋本文非表示(投稿も非表示)
 * パターンB(有効) アイキャッチ画像を非表示＋ボタン非表示＋説明文非表示(投稿画面の入力欄も表示)＋本文入力項欄及び投稿への表示
 */
?>
<?php //if(has_post_thumbnail() ):
if(has_post_thumbnail() && $si_script_changer_09!=1):
?>
<div id="eyeCatch">
<a href="<?php echo $aflink; ?>" target="_blank">
<?php echo the_post_thumbnail(array(800,800));?>
</a>
</div>
<?php endif;?>

<?php if($si_script_changer_09!=1):?>
<div class="align-center"><a href="<?php echo $aflink; ?>" target="_blank"><img src="<?php bloginfo('template_url'); ?>/img/bottan.png" alt="公式サイトはこちら" class="over"></a></div>
<?php endif;?>
<?php if($si_script_changer_09!=1):?>
<h1><?php the_title(); ?> </h1>
	<?php endif;?>
<div class="setumei">

<?php if($si_script_changer_09==1):?>
<?php the_content(); ?>
<?php endif;?>

<?php //echo(nl2br(get_post_meta($post->ID,'desc',true)));?>
<?php if($si_script_changer_09!=1):?>
<?php echo apply_filters('the_content', get_post_meta($post->ID, 'desc', true));;?>
<?php endif;?>
</div>


							<?php endwhile; ?>
                            <?php endif; ?>


</div><!-- /#main -->

</div><!-- /#contents -->

<!-- Footer -->


<div id="footer">
<?php wp_nav_menu( array('menu_id' => 'nav' )); ?>
<address>

	&copy; <?php echo date('Y'); ?> TAG enterprise. All rights reserved. <br/>
	※当サイトのコンテンツ・プログラム等全ての転載転用、商用販売、無断配布を固く禁じます。
	</p></address>


<address class="dn">&copy; <?php echo date('Y'); ?> <?php bloginfo('name'); ?>. All rights reserved. </p></address>
</div><!-- /#footer -->

</div><!-- /#over -->
<?php wp_footer(); ?>
</body>
</html>