<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>">
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css.php?pid=<?php echo $post->ID; ?>">
<?php wp_head(); ?>
<style type="text/css">
.align-center{width:100%;height:auto;float:left;text-align:center;margin-bottom:30px;}

a img.over{background:none!important}
a:hover img.over{
	opacity:0.7;
	filter:alpha(opacity=70);
	-ms-filter: "alpha( opacity=70 )";
	background:none!important;
}

.setumei{font-size:14px;line-height:1.7em;margin-bottom:30px;}
.post h3{   
    border-left:7px solid #FF256B;  
    border-bottom:1px dashed #FF256B;  
    padding:.6em .8em;
    font-weight:bold;
    font-size:18px;clear:both;
    margin-bottom:15px;
    }

@media screen and (max-width:640px){
	
#contents{
	width:100%;
	margin:0 auto;
}

#main{
	width:auto;
	margin:0 0px;
	padding:0 10px 50px 10px;
	font-size:14px;
	
}

#index #main{
	width:100%;
	margin:0 20px;
	padding:20px 0;
}

#eyeCatch img{width:100%;height:auto;}
	}
</style>
</head>
<body>

<div id="over">
<div id="contents">
<div id="main">
							<?php if (have_posts()) : ?>
                            <?php while (have_posts()) : the_post(); ?>
<?php
$aflink = get_post_meta($post->ID,'aflink',true);
?>
<div class="post">
<?php if(has_post_thumbnail()):?>
<div id="eyeCatch">						
<a href="<?php echo $aflink; ?>" target="_blank">
<?php echo the_post_thumbnail(array(800,800));?>
</a>	
</div>
<?php endif;?>


<div class="align-center"><a href="<?php echo $aflink; ?>" target="_blank"><img src="<?php bloginfo('template_url'); ?>/img/bottan.png" alt="公式サイトはこちら" class="over"></a></div>


<h3><?php the_title(); ?> </h3>
<div class="setumei">
<?php echo(nl2br(get_post_meta($post->ID,'desc',true)));?>
</div>


							<?php endwhile; ?>
                            <?php endif; ?>

<?php wp_nav_menu( array('menu_id' => 'nav' )); ?>

</div><!-- /#main -->
</div><!-- /#contents -->
			
<!-- Footer -->			
<div id="footer">
<address>&copy; <?php echo date('Y'); ?> <?php bloginfo('name'); ?>. All rights reserved. </p></address>
</div><!-- /#footer -->

</div><!-- /#over -->
<?php wp_footer(); ?>
</body>
</html>