<?php
function remove_menus() {
//    remove_menu_page('index.php'); // ダッシュボード
//    remove_menu_page('separator1'); // セパレータ1
//    remove_menu_page('edit.php'); // 投稿
//    remove_menu_page('upload.php'); // メディア
    remove_menu_page('link-manager.php'); // リンク
//    remove_menu_page('edit.php?post_type=page'); // 固定ページ
    remove_menu_page('edit-comments.php'); // コメント
    remove_menu_page('separator2'); // セパレータ1
//    remove_menu_page('themes.php'); // 外観
	remove_submenu_page('themes.php', 'customize.php');//カスタマイズ
	remove_submenu_page('themes.php', 'theme-editor.php');//テーマの編集
//    remove_menu_page('plugins.php'); // プラグイン
//    remove_menu_page('users.php'); // ユーザー
//    remove_menu_page('tools.php'); // ツール
//    remove_menu_page('options-general.php'); // 設定
//    remove_menu_page('profile.php'); // プロフィール(管理者以外のユーザー用)

}
add_action('admin_menu', 'remove_menus');


// アイキャッチ画像
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(220, 220, true ); // 幅 220px、高さ 165px、切り抜きモード

// 管理画面に任意のcssやjsファイルを読み込む
function wp_custom_admin_css() {
echo "\n" . '<script src="' .get_bloginfo('stylesheet_directory'). '/jscolor/jscolor.js' . '" type="text/javascript"></script>' . "\n";
}
add_action('admin_head', 'wp_custom_admin_css', 100);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//管理メニュー追加モジュール
require("lib/admin_menu.php");

//カテゴリメニュー追加モジュール
require("lib/category_menu.php");


//投稿メニュー追加モジュール
require("lib/post_menu.php");
//////////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 固定ページの作成および表示設定の変更
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function create_pages_and_setting() {


if (get_page_by_path('notice') === null) {
	wp_insert_post(
				array(
					'post_title'   => '特定商取引法に基づく記述',
					'post_name'    => 'notice',
					'post_status'  => 'publish',
					'post_type'    => 'page',
					'post_content' => "",
				)
			);
		}
}
add_action('after_setup_theme', 'create_pages_and_setting');
add_action('admin_menu', 'remove_menus');
add_theme_support( 'nav-menus' );
if ( function_exists('register_sidebar') )
    register_sidebar();


//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 投稿画面の項目を非表示にする
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//その他
function remove_default_post_screen_metaboxes() {
 remove_meta_box( 'postcustom','post','normal' ); // カスタムフィールド
 remove_meta_box( 'tagsdiv-post_tag','post','normal' ); // タグ
 remove_meta_box( 'postexcerpt','post','normal' ); // 抜粋
 remove_meta_box( 'commentstatusdiv','post','normal' ); // ディスカッション
 remove_meta_box( 'commentsdiv','post','normal' ); // コメント
 remove_meta_box( 'trackbacksdiv','post','normal' ); // トラックバック
 remove_meta_box( 'authordiv','post','normal' ); // 作成者
 remove_meta_box( 'slugdiv','post','normal' ); // スラッグ
 remove_meta_box( 'revisionsdiv','post','normal' ); // リビジョン

 }
add_action('admin_menu','remove_default_post_screen_metaboxes');

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 投稿画面に選択項目を追加
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function si_script_changer_meta_box() {
	$screens = array( 'post' );
	foreach ( $screens as $screen ) {
		/*add_meta_box(
						'si_script_changer',
						'新機能',
						'si_script_changer_meta_box_callback',
						$screen
		);*/
		add_meta_box(
		    'si_script_changer_2',
		    'LP型表示',
		    'si_script_changer_meta_box_callback_2',
		    $screen
		    );
	}
}
//add_action( 'add_meta_boxes', 'si_script_changer_meta_box' );

function si_script_changer_meta_box_callback( $post, $box ) {
    $isnew = preg_match("/post-new.php/",$_SERVER['REQUEST_URI']);
/*
    $si_script_changer_01 = get_post_meta( $post->ID, '_si_script_changer_01', true );
	$si_script_changer_01 = esc_attr( $si_script_changer_01 );
	$chk01_1 = ($si_script_changer_01 != 0 and $si_script_changer_01 !="" )? ' checked="checked"' : '';
	$chk01_2 = ( $chk01_1 == '') ? ' checked="checked"' : '';

	$si_script_changer_02 = get_post_meta( $post->ID, '_si_script_changer_02', true );
	$si_script_changer_02 = esc_attr( $si_script_changer_02 );
	$chk02_1 = ($si_script_changer_02 != 0 and $si_script_changer_02 !="" )? ' checked="checked"' : '';
	$chk02_2 = ( $chk02_1 == '') ? ' checked="checked"' : '';

	$si_script_changer_03 = get_post_meta( $post->ID, '_si_script_changer_03', true );
	$si_script_changer_03 = esc_attr( $si_script_changer_03 );
	$chk03_1 = ($si_script_changer_03 != 0 and $si_script_changer_03 !="" )? ' checked="checked"' : '';
	$chk03_2 = ( $chk03_1 == '') ? ' checked="checked"' : '';

	$si_script_changer_04 = get_post_meta( $post->ID, '_si_script_changer_04', true );
	$si_script_changer_04 = esc_attr( $si_script_changer_04 );
	$chk04_1 = ($si_script_changer_04 != 0 and $si_script_changer_04 !="" )? ' checked="checked"' : '';
	$chk04_2 = ( $chk04_1 == '') ? ' checked="checked"' : '';

	$si_script_changer_05 = get_post_meta( $post->ID, '_si_script_changer_05', true );
	$si_script_changer_05 = esc_attr( $si_script_changer_05 );
	$chk05_1 = ($si_script_changer_05 != 0 and $si_script_changer_05 !="" )? ' checked="checked"' : '';
	$chk05_2 = ( $chk05_1 == '') ? ' checked="checked"' : '';

	$si_script_changer_06 = get_post_meta( $post->ID, '_si_script_changer_06', true );
	$si_script_changer_06 = esc_attr( $si_script_changer_06 );
	$chk06_1 = ($si_script_changer_06 != 0 and $si_script_changer_06 !="" )? ' checked="checked"' : '';
	$chk06_2 = ( $chk06_1 == '') ? ' checked="checked"' : '';
	*/
/*
	$si_script_changer_07 = get_post_meta( $post->ID, '_si_script_changer_07', true );
	$si_script_changer_07 = esc_attr( $si_script_changer_07 );
	echo $si_script_changer_07;
	$chk07_1 = ( $si_script_changer_07 == 1 or $isnew or $si_script_changer_07==""  ) ? ' checked="checked"' : '';
	$chk07_2 = ( $si_script_changer_07 == 0 and !$isnew and  $si_script_changer_07!=""  ) ? ' checked="checked"' : '';

	$si_script_changer_08 = get_post_meta( $post->ID, '_si_script_changer_08', true );
	$si_script_changer_08 = esc_attr( $si_script_changer_08 );
	$chk08_1 = ( $si_script_changer_08 == 1 or $isnew or $si_script_changer_08=="" ) ? ' checked="checked"' : '';
	$chk08_2 = ( $si_script_changer_08 == 0 and !$isnew and  $si_script_changer_08!=""   ) ? ' checked="checked"' : '';
*/

	$si_script_changer_09 = get_post_meta( $post->ID, '_si_script_changer_09', true );
	$si_script_changer_09 = esc_attr( $si_script_changer_09 );
	$chk09_1 = ( $si_script_changer_09 == 1 or $isnew or $si_script_changer_09=="" ) ? ' checked="checked"' : '';
	$chk09_2 = ( $si_script_changer_09 == 0 and !$isnew and  $si_script_changer_09!=""   ) ? ' checked="checked"' : '';

	wp_nonce_field( 'si_script_changer_nonce', 'si_script_changer_nonce' );
	$output = '';
	//echo $chk08_1;
	$output.= <<< EOT
	<style>
	#si_script_changer label{
		margin-right:0.5em;
	}
	</style>
EOT;
	$output.= '<div id="si_script_changer">';

	$output.= '<dl class="si_script_changer_00" style="border-bottom:dashed 1px #999;"><dt>一括変更: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_00" id="si_script_changer_00_1"
	value="1"  /><label for="si_script_changer_00_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_00" id="si_script_changer_00_2"
	value="0"  /><label for="si_script_changer_00_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>Mac直リンク: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_03" id="si_script_changer_03_1"
	value="1" '.$chk03_1.' /><label for="si_script_changer_03_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_03" id="si_script_changer_03_2"
	value="0" '.$chk03_2.' /><label for="si_script_changer_03_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>スマホ・タブレット直リンク: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_02" id="si_script_changer_02_1"
	value="1" '.$chk02_1.' /><label for="si_script_changer_02_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_02" id="si_script_changer_02_2"
	value="0" '.$chk02_2.' /><label for="si_script_changer_02_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>戻るボタン・ブラウザバック阻止: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_01" id="si_script_changer_01_1"
	value="1" '.$chk01_1.' /><label for="si_script_changer_01_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_01" id="si_script_changer_01_2"
	value="0" '.$chk01_2.' /><label for="si_script_changer_01_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>ポップアップ: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_04" id="si_script_changer_04_1"
	value="1" '.$chk04_1.' /><label for="si_script_changer_04_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_04" id="si_script_changer_04_2"
	value="0" '.$chk04_2.' /><label for="si_script_changer_04_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>windows直リンク(10除外): </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_05" id="si_script_changer_05_1"
	value="1" '.$chk05_1.' /><label for="si_script_changer_05_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_05" id="si_script_changer_05_2"
	value="0" '.$chk05_2.' /><label for="si_script_changer_05_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>windows直リンク(7除外): </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_06" id="si_script_changer_06_1"
	value="1" '.$chk06_1.' /><label for="si_script_changer_06_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_06" id="si_script_changer_06_2"
	value="0" '.$chk06_2.' /><label for="si_script_changer_06_2">無効</label>';
	$output.= '</dd></dl>';
/*
	$output.= '<dl><dt>アイキャッチ: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_07" id="si_script_changer_07_1"
	value="1" '.$chk07_1.' /><label for="si_script_changer_07_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_07" id="si_script_changer_07_2"
	value="0" '.$chk07_2.' /><label for="si_script_changer_07_2">無効</label>';
	$output.= '</dd></dl>';

	$output.= '<dl><dt>公式サイトのボタン: </dt><dd>';
	$output.= '<input type="radio" name="si_script_changer_08" id="si_script_changer_08_1"
	value="1" '.$chk08_1.' /><label for="si_script_changer_08_1">有効</label>';
	$output.= '<input type="radio" name="si_script_changer_08" id="si_script_changer_08_2"
	value="0" '.$chk08_2.' /><label for="si_script_changer_08_2">無効</label>';
	$output.= '</dd></dl>';
*/
	$output.= '</div>';
	$output.= '<script>';
	$output.= <<<EOT
	jQuery(function($){
	     $(".si_script_changer_00 input[type=radio]").change(function(){
	          var v = $(this).val();
	          if(v==1){
                    $("#si_script_changer input[type=radio]").each(function(index,el){
                         if($(el).val()==1) $(el).attr('checked', true);
                         else  $(el).attr('checked', false);
                    });
               }else{
                    $("#si_script_changer input[type=radio]").each(function(index,el){
                         if($(el).val()==1) $(el).attr('checked', false);
                         else  $(el).attr('checked', true);
                    });
               }
	     });
	});

EOT;
	$output.= '</script>';
	echo $output;
}

add_action( 'save_post', 'si_script_changer_save_meta_box' );
function si_script_changer_save_meta_box( $post_id ) {
	if ( ! isset( $_POST['si_script_changer_nonce'] ) ) {
		return;
	}
	if ( ! wp_verify_nonce( $_POST['si_script_changer_nonce'], 'si_script_changer_nonce' ) ) {
		return;
	}
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
		if ( ! current_user_can( 'edit_page', $post_id ) ) {
			return;
		}
	}
	else {
		if ( ! current_user_can( 'edit_post', $post_id ) ) {
			return;
		}
	}
	/*
	if ( ! isset( $_POST['si_script_changer_01'] ) )        return;
	$my_data_01 = sanitize_text_field( $_POST['si_script_changer_00'] );
	update_post_meta( $post_id, '_si_script_changer_00', $my_data_00 );

	if ( ! isset( $_POST['si_script_changer_01'] ) )        return;
	$my_data_01 = sanitize_text_field( $_POST['si_script_changer_01'] );
	update_post_meta( $post_id, '_si_script_changer_01', $my_data_01 );

	if ( ! isset( $_POST['si_script_changer_02'] ) )        return;
	$my_data_02 = sanitize_text_field( $_POST['si_script_changer_02'] );
	update_post_meta( $post_id, '_si_script_changer_02', $my_data_02 );

	if ( ! isset( $_POST['si_script_changer_03'] ) )        return;
	$my_data_03 = sanitize_text_field( $_POST['si_script_changer_03'] );
	update_post_meta( $post_id, '_si_script_changer_03', $my_data_03 );

	if ( ! isset( $_POST['si_script_changer_04'] ) )        return;
	$my_data_04 = sanitize_text_field( $_POST['si_script_changer_04'] );
	update_post_meta( $post_id, '_si_script_changer_04', $my_data_04 );


	if ( ! isset( $_POST['si_script_changer_05'] ) )        return;
	$my_data_05 = sanitize_text_field( $_POST['si_script_changer_05'] );
	update_post_meta( $post_id, '_si_script_changer_05', $my_data_05 );

	if ( ! isset( $_POST['si_script_changer_06'] ) )        return;
	$my_data_06 = sanitize_text_field( $_POST['si_script_changer_06'] );
	update_post_meta( $post_id, '_si_script_changer_06', $my_data_06 );
	*/
/*
	if ( ! isset( $_POST['si_script_changer_07'] ) )        return;
	$my_data_07 = sanitize_text_field( $_POST['si_script_changer_07'] );
	update_post_meta( $post_id, '_si_script_changer_07', $my_data_07 );

	if ( ! isset( $_POST['si_script_changer_08'] ) )        return;
	$my_data_08 = sanitize_text_field( $_POST['si_script_changer_08'] );
	update_post_meta( $post_id, '_si_script_changer_08', $my_data_08 );
	*/
	//echo $post_id;exit();
	if ( ! isset( $_POST['si_script_changer_09'] ) )        return;
	$my_data_09 = sanitize_text_field( $_POST['si_script_changer_09'] );
	update_post_meta( $post_id, '_si_script_changer_09', $my_data_09 );
	$args = array(
	    'post_type' => 'post',
	    'posts_per_page' => -1
	);
	$query = new WP_Query( $args );
	while ( $query->have_posts() ) : $query->the_post();
	$post_id  = get_the_ID();
	update_post_meta($post_id ,"_si_script_changer_09",1);
	endwhile;
	}
function manage_posts_columns_0($columns) {
     $columns['modified-last'] = "更新日時";
     //$columns['slug'] = 'Macリダイレクト';
     return $columns;
}
function manage_posts_columns_3($columns) {
	$columns['si_script_changer_3'] = "Mac直リンク";
	//$columns['slug'] = 'Macリダイレクト';
	return $columns;
}
function manage_posts_columns_2($columns) {
	$columns['si_script_changer_2'] = "スマホ・タブレット直リンク";
	//$columns['slug'] = 'スマホ・タブレットリダイレクト';
	return $columns;
}
function manage_posts_columns_1($columns) {
	$columns['si_script_changer_1'] = "戻るボタン・ブラウザバック阻止";
	//$columns['slug'] = '戻るボタン・ブラウザバック阻止';
	return $columns;
}
function manage_posts_columns_4($columns) {
	$columns['si_script_changer_4'] = "ポップアップ";
	//$columns['slug'] = 'ポップアップ';
	return $columns;
}
function manage_posts_columns_5($columns) {
     $columns['si_script_changer_5'] = "windows直リンク(10除外)";
     //$columns['slug'] = 'ポップアップ';
     return $columns;
}
function manage_posts_columns_6($columns) {
	$columns['si_script_changer_6'] = "windows直リンク(7除外)";
	//$columns['slug'] = 'ポップアップ';
	return $columns;
}
function manage_posts_columns_9($columns) {
    $columns['si_script_changer_9'] = "LP型表示";
    //$columns['slug'] = 'ポップアップ';
    return $columns;
}

function add_column_0($column_name, $post_id) {
     if( $column_name == 'modified-last' ) {
          $si_script_changer_00 = the_modified_date("Y-m-d H:i:s", "","",false);
     }
     $output = "";
     if ( isset($si_script_changer_00) && $si_script_changer_00 )
     $output.=$si_script_changer_00;
     echo $output;
}

function add_column_3($column_name, $post_id) {
	if( $column_name == 'si_script_changer_3' ) {
		$si_script_changer_03 = get_post_meta($post_id, '_si_script_changer_03', true);//Mac直リンク
	}
	$chk3 = "";
	if ( isset($si_script_changer_03) && $si_script_changer_03 )
		$chk3 = $si_script_changer_03 == 1 ? "ON":"";
	$output = "";
	$output.=$chk3;
	echo $output;
}
function add_column_2($column_name, $post_id) {
	if( $column_name == 'si_script_changer_2' ) {
		$si_script_changer_02 = get_post_meta($post_id, '_si_script_changer_02', true);//Mac直リンク
	}
	$chk2 = "";
	if ( isset($si_script_changer_02) && $si_script_changer_02 )
		$chk2 = $si_script_changer_02 == 1 ? "ON":"";
	$output = "";
	$output.=$chk2;
	echo $output;
}
function add_column_1($column_name, $post_id) {

	if( $column_name == 'si_script_changer_1' ) {
		$si_script_changer_01 = get_post_meta($post_id, '_si_script_changer_01', true);//Mac直リンク
	}
	$chk1 = "";
	if ( isset($si_script_changer_01) && $si_script_changer_01 )
		$chk1 = $si_script_changer_01 == 1 ? "ON":"";
	$output = "";
	$output.=$chk1;
	echo $output;
}
function add_column_4($column_name, $post_id) {
	if( $column_name == 'si_script_changer_4' ) {
		$si_script_changer_04 = get_post_meta($post_id, '_si_script_changer_04', true);//Mac直リンク
	}
	$chk4 = "";
	if ( isset($si_script_changer_04) && $si_script_changer_04 )
		$chk4 = $si_script_changer_04 == 1 ? "ON":"";
	$output = "";
	$output.=$chk4;
	echo $output;
}
function add_column_5($column_name, $post_id) {
	if( $column_name == 'si_script_changer_5' ) {
		$si_script_changer_05 = get_post_meta($post_id, '_si_script_changer_05', true);//Mac直リンク
	}
	$chk5 = "";
	if ( isset($si_script_changer_05) && $si_script_changer_05 )
		$chk5 = $si_script_changer_05 == 1 ? "ON":"";
	$output = "";
	$output.=$chk5;
	echo $output;
}
function add_column_6($column_name, $post_id) {
	if( $column_name == 'si_script_changer_6' ) {
		$si_script_changer_06 = get_post_meta($post_id, '_si_script_changer_06', true);//Mac直リンク
	}
	$chk6 = "";
	if ( isset($si_script_changer_06) && $si_script_changer_06 )
		$chk6 = $si_script_changer_06 == 1 ? "ON":"";
	$output = "";
	$output.=$chk6;
	echo $output;
}

function add_column_9($column_name, $post_id) {
    if( $column_name == 'si_script_changer_9' ) {
        $si_script_changer_09 = get_post_meta($post_id, '_si_script_changer_09', true);//Mac直リンク
    }
    $chk9 = "";
    if ( isset($si_script_changer_09) && $si_script_changer_09 )
        $chk9 = $si_script_changer_09 == 1 ? "有効":"";
        $output = "";
        $output.=$chk9;
        echo $output;
}

/*
add_filter( 'manage_posts_columns', 'manage_posts_columns_0' );
add_filter( 'manage_posts_columns', 'manage_posts_columns_3' );
add_filter( 'manage_posts_columns', 'manage_posts_columns_2' );
add_filter( 'manage_posts_columns', 'manage_posts_columns_1' );
add_filter( 'manage_posts_columns', 'manage_posts_columns_4' );
add_filter( 'manage_posts_columns', 'manage_posts_columns_5' );
add_filter( 'manage_posts_columns', 'manage_posts_columns_6' );
*/
//add_filter( 'manage_posts_columns', 'manage_posts_columns_9' );
/*
add_action( 'manage_posts_custom_column', 'add_column_0', 9, 2 );
add_action( 'manage_posts_custom_column', 'add_column_3', 10, 2 );
add_action( 'manage_posts_custom_column', 'add_column_2', 11, 2 );
add_action( 'manage_posts_custom_column', 'add_column_1', 12, 2 );
add_action( 'manage_posts_custom_column', 'add_column_4', 13, 2 );
add_action( 'manage_posts_custom_column', 'add_column_5', 14, 2 );
add_action( 'manage_posts_custom_column', 'add_column_6', 15, 2 );*/
add_action( 'manage_posts_custom_column', 'add_column_9', 16, 2 );

function sortable_posts_columns_0($columns){
     $columns['modified-last'] = 'modified';
     return $columns;
}

add_filter( 'manage_edit-post_sortable_columns', 'sortable_posts_columns_0' );

// フックする関数
function custom_enqueue($hook_suffix) {
	if( 'edit.php' == $hook_suffix ) {
		wp_enqueue_style('custom_css', get_template_directory_uri() . '/css/custom.css');
	}
}
// "custom_enqueue" 関数を管理画面のキューアクションにフック
add_action( 'admin_enqueue_scripts', 'custom_enqueue' );


/*
 * 一般設定に設定一括切り替え項目を追加
*/
function add_contact_info_field( $whitelist_options ) {
     $whitelist_options['general'][] = 'bundle_setting';
     return $whitelist_options;
}
add_filter( 'whitelist_options', 'add_contact_info_field' );

function regist_contact_info_field() {
     add_settings_field( 'bundle_setting', '新機能の一括切り替え', 'display_bundle_setting', 'general' );
}
//add_action( 'admin_init', 'regist_contact_info_field' );

function display_bundle_setting() {
     $bundle_setting = get_option( 'bundle_setting' );
     $checked_0 = ($bundle_setting != "1" and $bundle_setting != "2") ? ' checked="checked"':'';
     $checked_1 = $bundle_setting == "1" ? ' checked="checked"':'';
     $checked_2 = $bundle_setting == "2" ? ' checked="checked"':'';
     ?>
    <p><input name="bundle_setting" type="radio" id="bundle_setting_2" value="2" class="regular-text" <?php echo $checked_2;?>>
    <label for="bundle_setting_2">全ての記事で有効</label></p>
    <p><input name="bundle_setting" type="radio" id="bundle_setting_1" value="1" class="regular-text" <?php echo $checked_1;?>>
    <label for="bundle_setting_1">全ての記事で無効</label></p>
    <p><input name="bundle_setting" type="radio" id="bundle_setting_0" value="0" class="regular-text" <?php echo $checked_0;?>>
    <label for="bundle_setting_0">何もしない</label></p>
<?php
//file_put_contents("/Applications/XAMPP/xamppfiles/htdocs/special-information.com/wp-content/themes/ppctemplete2/text.txt","test".$value.$bundle_setting);
}
//add_filter( "update_option",  "up_option_bundle_setting",  "" );

function up_option_bundle_setting($value = ""){
     $bundle_setting = (int)get_option("bundle_setting",true);
     if(!isset($_REQUEST["bundle_setting"])) return;
     //file_put_contents("/Applications/XAMPP/xamppfiles/htdocs/special-information.com/wp-content/themes/ppctemplete2/text.txt","test".":".$value.":".$bundle_setting.":".date("Y-m-d H:i:s",time()));
     //
     //echo $bundle_setting;exit();
     switch($_REQUEST["bundle_setting"]){
          default:
          case 0:
               break;
          case 1:
               $args = array(
                         'post_type' => 'post',
                         'posts_per_page' => -1
               );
               $query = new WP_Query( $args );
               if ( $query->have_posts() ):
               while ( $query->have_posts() ) : $query->the_post();
               $post_id  = get_the_ID();
               update_post_meta($post_id,"_si_script_changer_01","0");
               update_post_meta($post_id,"_si_script_changer_02","0");
               update_post_meta($post_id,"_si_script_changer_03","0");
               update_post_meta($post_id,"_si_script_changer_04","0");
               update_post_meta($post_id,"_si_script_changer_05","0");
               endwhile;
               endif;
               break;
          case 2:
               $args = array(
                         'post_type' => 'post',
                         'posts_per_page' => -1
               );
               $query = new WP_Query( $args );
               if ( $query->have_posts() ):
               while ( $query->have_posts() ) : $query->the_post();
               $post_id  = get_the_ID();
               update_post_meta($post_id ,"_si_script_changer_01",1);
               update_post_meta($post_id ,"_si_script_changer_02",1);
               update_post_meta($post_id ,"_si_script_changer_03",1);
               update_post_meta($post_id ,"_si_script_changer_04",1);
               update_post_meta($post_id ,"_si_script_changer_05",1);
               endwhile;
               endif;
               break;
     }
}


function add_scripts($hook_suffix) {
     wp_enqueue_script( 'jquery', '//ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js', "", "20160608", false );
     // 新規投稿または編集画面のみ
	if( 'post.php' == $hook_suffix || 'post-new.php' == $hook_suffix )
     wp_enqueue_script( 'smart-script', get_template_directory_uri() . '/js/script.js' );
     wp_enqueue_style( 'smart-script', get_template_directory_uri() . '/css/style.css' );
}

add_action('admin_enqueue_scripts', 'add_scripts');
/*
function my_meta_setup_1(){
     global $post;
     wp_nonce_field(wp_create_nonce(__FILE__), 'my_meta_setup_1');
     echo '<p><label for="tel">電話番号</label>
     <input type="tel" name="tel" size="60" value="'.get_post_meta($post->ID, 'tel', true).'" placeholder="例) 03-1234-45678" /></p>';
     echo '<p><label  for="email">メールアドレス</label>
     <input type="email" name="email" size="60" value="'.get_post_meta($post->ID, 'email', true).'" placeholder="例) webmaster@special-information.com" /></p>';
     echo '本文中にショートコード [tel] [email]を記述して表示させられます。';
}
function add_my_box2() {
     $post_id = '';
     if(isset($_GET['post']) || isset($_POST['post_ID'])) {
          $post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
     }
     $page_id = get_page_by_title('特定商取引法に基づく記述');  //タイトルが「特定商取引法に基づく記述」の固定ページの ID
     if ($post_id == $page_id->ID)
     {
          add_meta_box('my_all_meta_1', '電話番号/メールアドレス', 'my_meta_setup_1', 'page', 'normal', 'high');
     }

}
add_action('add_meta_boxes', 'add_my_box2');
add_action('save_post', 'save_my_meta_setup_1');
function save_my_meta_setup_1($post_id){
 $my_nonce = isset($_POST['my_meta_setup_1']) ? $_POST['my_meta_setup_1'] : null;
 if(!wp_verify_nonce($my_nonce, wp_create_nonce(__FILE__))) {
  return $post_id;
 }
 if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) { return $post_id; }
 if(!current_user_can('edit_post', $post_id)) { return $post_id; }
 $data = $_POST['tel'];
 if(get_post_meta($post_id, 'tel') == ""){
  add_post_meta($post_id, 'tel', $data, true);
 }elseif($data != get_post_meta($post_id, 'tel', true)){
  update_post_meta($post_id, 'tel', $data);
 }elseif($data == ""){
  delete_post_meta($post_id, 'tel', get_post_meta($post_id, 'tel', true));
 }

 $data = $_POST['email'];
 if(get_post_meta($post_id, 'email') == ""){
      add_post_meta($post_id, 'email', $data, true);
 }elseif($data != get_post_meta($post_id, 'email', true)){
      update_post_meta($post_id, 'email', $data);
 }elseif($data == ""){
      delete_post_meta($post_id, 'email', get_post_meta($post_id, 'email', true));
 }
}
function shortcode_tel() {
     global $post;
     return get_post_meta($post->ID, 'tel',true);
}
add_shortcode('tel', 'shortcode_tel');
function shortcode_email() {
     global $post;
     return get_post_meta($post->ID, 'email',true);
}
add_shortcode('email', 'shortcode_email');
*/
//---------------------------------------------------------------------------
// 記事投稿(編集)画面に更新レベルのボックス追加
//---------------------------------------------------------------------------

/* ボックス追加 */
if( function_exists( 'thk_post_update_level' ) === false ):
function thk_post_update_level() {
     /*remove_meta_box( 'submitdiv', 'post', 'side' ); // 公開
     remove_meta_box( 'categorydiv', 'post', 'side' );
     remove_meta_box( 'postparentdiv', 'post', 'side' );
     remove_meta_box( 'postimagediv', 'post', 'side' );*/
     $user = wp_get_current_user();
     $meta_box_order = get_user_meta($user->ID,"meta-box-order_post",true);
     $side = explode(',',$meta_box_order["side"]);
     add_meta_box( 'update_level', '更新方法', 'post_update_level_box', 'post', 'side', 'default' );
     add_meta_box( 'update_level', '更新方法', 'post_update_level_box', 'page', 'side', 'default' );
     $side_arr = array();
     foreach((Array)$side as $key => $value){
          if($value=="update_level"){
               $side_arr[0] = $value;
          }else{
               $side_arr[$key+1] = $value;
          }
     }
     if(empty($side_arr)) {
          $side_arr[0] = "update_level";
          $side_arr[1] = "submitdiv";
          $side_arr[2] = "categorydiv";
          $side_arr[3] = "postparentdiv";
          $side_arr[4] = "postimagediv";
     }
     $side_arr = implode(",",$side_arr);
     $meta_box_order["side"] = $side_arr;
     update_user_meta($user->ID,"meta-box-order_post",$meta_box_order);
     //echo '<pre>';print_r(get_user_meta($user->ID,"meta-box-order_post",true));exit();
     /*add_meta_box( 'submitdiv', 'post', 'side' ); // 公開
     add_meta_box( 'categorydiv', 'post', 'side' );
     add_meta_box( 'postparentdiv', 'post', 'side' );
     add_meta_box( 'postimagediv', 'post', 'side' );*/
}
//add_action( 'admin_menu', 'thk_post_update_level' );
endif;

/* メインフォーム */
if( function_exists( 'post_update_level_box' ) === false ):
function post_update_level_box() {
     global $post;
     $update_lebel = get_post_meta($post->ID,"update_level",true);
     //echo $update_lebel;exit();
     ?>
<div style="padding-top: 5px; overflow: hidden;">


<?php
	if( get_the_modified_date( 'c' ) ) {
		$stamp = '更新日時: <span style="font-weight:bold">' . get_the_modified_date( __( 'M j, Y @ H:i' ) ) . '</span>';
	}
	else {
		$stamp = '更新日時: <span style="font-weight:bold">未更新</span>';
	}
	$date = date_i18n( get_option('date_format') . ' @ ' . get_option('time_format'), strtotime( $post->post_modified ) );
?>
<span class="modtime"><?php printf( $stamp, $date ); ?></span>
<div style="display:none;" >
<?php
$chk1 = ($update_lebel == "high"|| $update_lebel == "") ?   ' checked="checked"':'';
$chk2 = $update_lebel == "low" ? ' checked="checked"':'';
$chk3 = $update_lebel == "del" ? ' checked="checked"':'';
$chk4 = ($update_lebel == "edit") ? ' checked="checked"':'';
?>
<div style="padding:5px 0"><label><input name="update_level" type="radio" value="high" <?php echo $chk1;?> />通常更新</label></div>
<div style="padding: 5px 0"><label><input name="update_level" type="radio" value="low" <?php echo $chk2;?> />修正のみ(更新日時を変更せず記事更新)</label></div>
<div style="padding: 5px 0"><label><input name="update_level" type="radio" value="del" <?php echo $chk3;?> />更新日時消去(公開日時と同じにする)</label></div>
<div style="padding: 5px 0; margin-bottom: 10px">
<label><input id="update_level_edit" name="update_level" type="radio" value="edit"  <?php echo $chk4;?> />更新日時を手動で変更</label></div>
</div>
<input type="hidden" name="update_level" value="high" />
<style>
.modtime { padding: 2px 0 1px 0; display: inline !important; height: auto !important; }
.modtime:before { font: normal 20px/1 'dashicons'; content: '\f145'; color: #888; padding: 0 5px 0 0; top: -1px; left: -1px; position: relative; vertical-align: top; }
#timestamp_mod_div { padding-top: 5px; line-height: 23px; }
#timestamp_mod_div p { margin: 8px 0 6px; }
#timestamp_mod_div input { border-width: 1px; border-style: solid; }
#timestamp_mod_div select { height: 21px; line-height: 14px; padding: 0; vertical-align: top;font-size: 12px; }
#aa_mod, #jj_mod, #hh_mod, #mn_mod { padding: 1px; font-size: 12px; }
#jj_mod, #hh_mod, #mn_mod { width: 2em; }
#aa_mod { width: 3.4em; }
#side-sortables #update_level{display:none;}
</style>


<div style="display:none;" id="timestamp_mod_div" onkeydown="document.getElementById('update_level_edit').checked=true" onclick="document.getElementById('update_level_edit').checked=true">
<?php thk_time_mod_form(); ?>
</div>
</div>
<?php
}
endif;

/* 更新日時変更の入力フォーム */
if( function_exists( 'thk_time_mod_form' ) === false ):
function thk_time_mod_form() {
	global $wp_locale, $post;

	$tab_index = 0;
	$tab_index_attribute = '';
	if ( (int) $tab_index > 0 ) {
		$tab_index_attribute = ' tabindex="' . $tab_index . '"';
	}

	$jj_mod = mysql2date( 'd', $post->post_modified, false );
	$mm_mod = mysql2date( 'm', $post->post_modified, false );
	$aa_mod = mysql2date( 'Y', $post->post_modified, false );
	$hh_mod = mysql2date( 'H', $post->post_modified, false );
	$mn_mod = mysql2date( 'i', $post->post_modified, false );
	$ss_mod = mysql2date( 's', $post->post_modified, false );

	$year = '<label for="aa_mod" class="screen-reader-text">年' .
		'</label><input type="text" id="aa_mod" name="aa_mod" value="' .
		$aa_mod . '" size="4" maxlength="4"' . $tab_index_attribute . ' autocomplete="off" />年';

	$month = '<label for="mm_mod" class="screen-reader-text">月' .
		'</label><select id="mm_mod" name="mm_mod"' . $tab_index_attribute . ">\n";
	for( $i = 1; $i < 13; $i = $i +1 ) {
		$monthnum = zeroise($i, 2);
		$month .= "\t\t\t" . '<option value="' . $monthnum . '" ' . selected( $monthnum, $mm_mod, false ) . '>';
		$month .= $wp_locale->get_month_abbrev( $wp_locale->get_month( $i ) );
		$month .= "</option>\n";
	}
	$month .= '</select>';

	$day = '<label for="jj_mod" class="screen-reader-text">日' .
		'</label><input type="text" id="jj_mod" name="jj_mod" value="' .
		$jj_mod . '" size="2" maxlength="2"' . $tab_index_attribute . ' autocomplete="off" />日';
	$hour = '<label for="hh_mod" class="screen-reader-text">時' .
		'</label><input type="text" id="hh_mod" name="hh_mod" value="' . $hh_mod .
		'" size="2" maxlength="2"' . $tab_index_attribute . ' autocomplete="off" />';
	$minute = '<label for="mn_mod" class="screen-reader-text">分' .
		'</label><input type="text" id="mn_mod" name="mn_mod" value="' . $mn_mod .
		'" size="2" maxlength="2"' . $tab_index_attribute . ' autocomplete="off" />';

	printf( '%1$s %2$s %3$s @ %4$s : %5$s', $year, $month, $day, $hour, $minute );
	echo '<input type="hidden" id="ss_mod" name="ss_mod" value="' . $ss_mod . '" />';
}
endif;

/* 「修正のみ」は更新しない。それ以外は、それぞれの更新日時に変更する */
if( function_exists( 'thk_insert_post_data' ) === false ):
function thk_insert_post_data( $data, $postarr ){
	$mydata = isset( $_POST['update_level'] ) ? $_POST['update_level'] : null;
     if(isset($_POST["update_level"])){
          //echo '<pre>';print_r($postarr["post_ID"]);exit();
          update_post_meta($postarr["post_ID"],"update_level",$_POST['update_level']);
     }
	if( $mydata === 'low' ){
		unset( $data['post_modified'] );
		unset( $data['post_modified_gmt'] );
	}
	elseif( $mydata === 'edit' ) {
		$aa_mod = $_POST['aa_mod'] <= 0 ? date('Y') : $_POST['aa_mod'];
		$mm_mod = $_POST['mm_mod'] <= 0 ? date('n') : $_POST['mm_mod'];
		$jj_mod = $_POST['jj_mod'] > 31 ? 31 : $_POST['jj_mod'];
		$jj_mod = $jj_mod <= 0 ? date('j') : $jj_mod;
		$hh_mod = $_POST['hh_mod'] > 23 ? $_POST['hh_mod'] -24 : $_POST['hh_mod'];
		$mn_mod = $_POST['mn_mod'] > 59 ? $_POST['mn_mod'] -60 : $_POST['mn_mod'];
		$ss_mod = $_POST['ss_mod'] > 59 ? $_POST['ss_mod'] -60 : $_POST['ss_mod'];
		$modified_date = sprintf( '%04d-%02d-%02d %02d:%02d:%02d', $aa_mod, $mm_mod, $jj_mod, $hh_mod, $mn_mod, $ss_mod );
		if ( ! wp_checkdate( $mm_mod, $jj_mod, $aa_mod, $modified_date ) ) {
			unset( $data['post_modified'] );
			unset( $data['post_modified_gmt'] );
			return $data;
		}
		$data['post_modified'] = $modified_date;
		$data['post_modified_gmt'] = get_gmt_from_date( $modified_date );
	}
	elseif( $mydata === 'del' ) {
		$data['post_modified'] = $data['post_date'];
	}
	return $data;
}
add_filter( 'wp_insert_post_data', 'thk_insert_post_data', 10, 2 );
endif;

function si_script_changer_meta_box_callback_2( $post, $box ) {
    $isnew = preg_match("/post-new.php/",$_SERVER['REQUEST_URI']);
    $si_script_changer_09 = get_post_meta( $post->ID, '_si_script_changer_09', true );
    $si_script_changer_09 = esc_attr( $si_script_changer_09 );
    //$chk09_1 = ( $si_script_changer_09 == 1 or $isnew or $si_script_changer_09=="" ) ? ' checked="checked"' : '';
    //$chk09_2 = ( $si_script_changer_09 == 0 and !$isnew and  $si_script_changer_09!=""   ) ? ' checked="checked"' : '';

    wp_nonce_field( 'si_script_changer_nonce', 'si_script_changer_nonce' );
    //$si_script_changer_09 = get_post_meta( $post->ID, '_si_script_changer_09', true );
    //$si_script_changer_09 = esc_attr( $si_script_changer_09 );
    //print_r($_POST);
    //echo "aaa".$post->ID;
    //echo get_post_meta( $post->ID, '_si_script_changer_09', true );
    $chk09_1 = ( $si_script_changer_09 == 0 or $isnew or $si_script_changer_09==""  ) ? ' checked="checked"' : '';
    $chk09_2 = ( $si_script_changer_09 == 1 and !$isnew and  $si_script_changer_09!=""  ) ? ' checked="checked"' : '';
    $display = 'block';
    $output.= <<< EOT
	<style>
    #postdivrich{
        display:{$display};
    }
	#si_script_changer_2 label{
		margin-right:0.5em;
	}
    #si_script_changer_2 button,
    #si_script_changer_2 h2,
    div#si_script_changer_2 .inside dl{display:none;}
#si_script_changer_2 .inside{
    visibility:hidden;
}
#si_script_changer_2 *,
#si_script_changer_2{
    background:transparent;
    border:none;
}
	</style>
EOT;
    $output.= '<div id="si_script_changer_2">';
    $output.= '<dl><dt></dt><dd>';
    $output.= '<input type="radio" name="si_script_changer_09" id="si_script_changer_09_2"
	value="1" '.$chk09_2.' /><label for="si_script_changer_09_2">有効</label>';
    $output.= '<input type="radio" name="si_script_changer_09" id="si_script_changer_09_1"
	value="0" '.$chk09_1.' /><label for="si_script_changer_09_1">無効</label>';
    $output.= '</dd></dl>';
    $output.= '<input type="hidden" name="si_script_changer_09" id="si_script_changer_09_2"
	value="1" '.$chk09_2.' />';


    $output.= '</div>';
    if($display=='block')
    $output.= <<< EOT
    <style>
#postdivrich{display:block;}
#my_sectionid02{display:none;}
#my_sectionid01{display:none;}
    </style>
EOT;
    else
    $output.= <<< EOT
    <style>
#postdivrich{display:none;}
#my_sectionid02{display:block;}
#my_sectionid01{display:block;}
    </style>
EOT;

    $output.= <<< EOT
	<script>
    jQuery(function(){
        jQuery("#si_script_changer_2 input[type=radio]").change(function(){
            if( jQuery(this).val()=="0" ){
                jQuery("#postdivrich").css('display','none');
                jQuery("#my_sectionid02").css('display','block');
                jQuery("#my_sectionid01").css('display','block');
            }else{
                jQuery("#postdivrich").css('display','block');
                jQuery("#my_sectionid02").css('display','none');
                jQuery("#my_sectionid01").css('display','none');
            }
        });
    });
	</script>
EOT;

    echo $output;
}

//Pagenation
function pagination($pages = '', $range = 2)
{

    $showitems = ($range * 2)+1;//表示するページ数（５ページを表示）

    global $paged;//現在のページ値
    if(empty($paged)) $paged = 1;//デフォルトのページ

    if($pages == '')
    {
        global $wp_query;
        $pages = $wp_query->max_num_pages;//全ページ数を取得
        if(!$pages)//全ページ数が空の場合は、１とする
        {
            $pages = 1;
        }
    }
    if( $pages > 3 && $pages >= 5 && !isset($_GET["paged"])) $range = 5;
    if( $pages > 3 && $pages >= 5 && $_GET["paged"] == 2) $range = 3;
    if( $_GET["paged"] == $pages ) $range = $range + 3;
    if( $_GET["paged"] +1 == $pages ) $range = $range + 1;

    if(1 != $pages)//全ページが１でない場合はページネーションを表示する
    {
        $output = '';
        $output.= "<div class=\"pagenation\">\n";
        $output.= "<ul>\n";
        //Prev：現在のページ値が１より大きい場合は表示
        if($paged > 1) $output.= "<li class=\"prev\"><a href='".get_pagenum_link($paged - 1)."'>前へ</a></li>\n";

        for ($i=1; $i <= $pages; $i++)
        {
            if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
            {
                //三項演算子での条件分岐
                $output.= ($paged == $i)? "<li class=\"active\">".$i."</li>\n":"<li><a href='".get_pagenum_link($i)."'>".$i."</a></li>\n";
            }
        }
        //Next：総ページ数より現在のページ値が小さい場合は表示
        if ($paged < $pages) $output.= "<li class=\"next\"><a href=\"".get_pagenum_link($paged + 1)."\">次へ</a></li>\n";
        $output.= "</ul>\n";
        $output.= "</div>\n";
        echo $output;
    }
}
function my_unregister_taxonomies()
{
    global $wp_taxonomies;

    /*
     * 投稿機能から「カテゴリー」を削除
     */
    if (!empty($wp_taxonomies['category']->object_type)) {
        foreach ($wp_taxonomies['category']->object_type as $i => $object_type) {
            if ($object_type == 'post') {
                unset($wp_taxonomies['category']->object_type[$i]);
            }
        }
    }

    /*
     * 投稿機能から「タグ」を削除
     */
    if (!empty($wp_taxonomies['post_tag']->object_type)) {
        foreach ($wp_taxonomies['post_tag']->object_type as $i => $object_type) {
            if ($object_type == 'post') {
                unset($wp_taxonomies['post_tag']->object_type[$i]);
            }
        }
    }

    return true;
}

add_action('init', 'my_unregister_taxonomies');
//remove_menu_page('my_sectionid02');
