<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>">
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css.php?pid=<?php echo $post->ID; ?>">
<?php wp_head(); ?>
</head>
<body id="page">
<div id="over">
<div id="contents">
			<div id="header" class="dn">
				<p class="desc"><?php bloginfo('description'); ?></p>
				<p class="siteTitle"><a href="<?php bloginfo('url'); ?>" class="blog_title"><?php bloginfo('name'); ?></a></p>
			</div><!-- /#header -->

            <div id="main">
							<?php if (have_posts()) : ?>
                            <?php while (have_posts()) : the_post(); ?>
<div class="post">
<h1 class="title"><?php the_title(); ?></h1>


<?php
 $ID = $post->ID; // 投稿ID
        $title = $post->post_title; // タイトル
        $content = $post->post_content; // 投稿内容
        $slug = $post->post_name;
		$admin_name = get_option('admin_name');


if($slug == "notice"){
$admin_add = get_option('admin_add');
$admin_mail = get_option('admin_mail');
$admin_detail01 = get_option('admin_detail01');
$admin_detail02 = get_option('admin_detail02');
$admin_detail03 = get_option('admin_detail03');
$admin_detail04 = get_option('admin_detail04');
$admin_detail05 = get_option('admin_detail05');
$admin_detail06 = get_option('admin_detail06');
$admin_detail07 = get_option('admin_detail07');
$admin_note = get_option('admin_note');

$notice_content = '
<div class="tableCont">
    <table>
    	<tr><th class="th01">サイト運営者</th><td>'.$admin_name.'</td></tr>
    	<tr><th>所在地</th><td>'.$admin_add.'</td></tr>
<!--    	<tr><th>連絡先</th><td>'.$admin_mail.'</td></tr> -->
    	<tr><th>メールアドレス</th><td>'.$admin_detail06.'</td></tr>
    	<tr><th>電話番号</th><td>'.$admin_detail07.'</td></tr>
    	<tr><th>お申込方法</th><td>'.$admin_detail01.'</td></tr>
    	<tr><th>商品引き渡し方法</th><td>'.$admin_detail02.'</td></tr>
    	<tr><th>商品引き渡し時期</th><td>'.$admin_detail03.'</td></tr>
    	<tr><th>お支払い方法</th><td>'.$admin_detail04.'</td></tr>
    	<tr><th>返品・不良品について</th><td>'.$admin_detail05.'</td></tr>
    	<tr><th>責任の有無</th>
        <td>'.$admin_note.'</td></tr>
        </table>
</div>
';
echo $notice_content;
}
?>
	<?php if(has_post_thumbnail()) { echo the_post_thumbnail(); } ?>
    <?php the_content(); ?>
					</div><!-- /.post -->
	<?php endwhile; ?>
    <?php endif; ?>

</div><!-- /#main -->
</div><!-- /#contents -->

<!-- Footer -->
<div id="footer">
<address>&copy; <?php echo date('Y'); ?> <?php bloginfo('name'); ?>. All rights reserved. <br/>
	※当サイトのコンテンツ・プログラム等全ての転載転用、商用販売、無断配布を固く禁じます。</p></address>